<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">
    <body>
        <ui:component>
            <p:dialog
                id="AnexarPagoDialogo"
                header="Anexar Deuda"
                widgetVar="AnexarDeuda"
                modal="true"
                resizable="false"
                closable="true"
                width="500" >
                <h:panelGroup id="detalleDeuda22">
                    <h:form id="anexardeuda">
                        <h:panelGrid columns="2" >
                            <p:column>
                                <h:outputLabel for="descripcion2" value="Descripción: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="descripcion2" value="#{pagosMB.descripcion}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="monto112" value="Monto:  " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="monto112" value="#{pagosMB.monto}" style="width: 350px" required="true" requiredMessage="El campo nombre es requerido"/>
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="fecha2" value="Fecha: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:calendar id="fecha2" value="#{pagosMB.fechat}"  style="width: 350px" pattern="yyyy-MM-dd" mask="true" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="monto514" value="Monto promesa:  " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:inputText id="monto514" value="#{pagosMB.montopromesa}" style="width: 350px" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="fecha64" value="Fecha promesa: " style="font-weight: bold"/>
                            </p:column>
                            <p:column>
                                <p:calendar id="fecha64" value="#{pagosMB.fechapromesat}"  style="width: 350px" pattern="yyyy-MM-dd" mask="true" />
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="prod2" value="Productor: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                <p:selectOneMenu id="prod2"  value="#{pagosMB.idproductor}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{pagosMB.productores}"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="tipop2" value="Tipo de pago: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                <p:selectOneMenu id="tipop2"  value="#{pagosMB.idtipopago}"
                                                 filter="true" filterMatchMode="startsWith" caseSensitive="true"
                                                 required="true" requiredMessage="La clave es requerida" style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{pagosMB.tipoPagosN  }"
                                    var="registrop"
                                    itemLabel="#{registrop.nombre} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <h:outputLabel for="tipop332" value="Es un Insumo ??: " style="font-weight: bold"/>
                            </p:column>
                            <p:column> 
                                <p:selectOneMenu id="tipop332"  value="#{pagosMB.idinsumo}"
                                                 filter="true" 
                                                   style="width: 350px">
                                    <f:selectItem itemLabel="Selecciona una opción"  />
                                    <f:selectItems value="#{pagosMB.insumos  }"
                                    var="registrop"
                                    itemLabel="#{registrop.concepto} "
                                    itemValue="#{registrop.id}"/>
                                </p:selectOneMenu> 
                            </p:column>
                            
                            <p:column>
                                <p:commandButton 
                                    value="Alta" 
                                    style="font-size:  100%"
                                    icon="ui-icon-contact"
                                    action="#{pagosMB.anexarDeuda()}">                        
                                </p:commandButton>
                            </p:column>   
                            <p:column>
                                <p:commandButton
                                    value="Cerrar"
                                    type="button"
                                    icon="ui-icon-circle-close"
                                    style="font-size:  100%" 
                                    onclick="PF('AnexarPagoDialogo').hide();">
                                </p:commandButton>
                            </p:column>
                        </h:panelGrid> 
                    </h:form>
                </h:panelGroup>
            </p:dialog>
        </ui:component>
    </body>
</html>
